| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Memory
Python » Controller

Manage controller memory, such as program and arrays. More...

## Functions
| gclib.py.GProgramDownload (self, program, preprocessor="")
| Downloads a program to the controller's program buffer.
| gclib.py.GProgramUpload (self)
| Uploads a program from the controller's program buffer.
| gclib.py.GProgramDownloadFile (self, file_path, preprocessor="")
| Program download from file.
| gclib.py.GProgramUploadFile (self, file_path)
| Program upload to file.
| gclib.py.GArrayDownload (self, name, first, last, array_data)
| Downloads array data to a pre-dimensioned array in the controller's array table.
| gclib.py.GArrayUploadFile (self, file_path, names=[])
| Uploads the entire controller array table or a subset and saves the data as a csv file specified by file_path.
| gclib.py.GArrayDownloadFile (self, file_path)
| Downloads a csv file containing array data at file_path.
| gclib.py.GArrayUpload (self, name, first, last)
| Uploads array data from the controller's array table.
| gclib.py.GFirmwareDownload (self, file_path)
| Upgrade firmware.
| gclib.py.GSetupDownloadFile (self, file_path, options)
| Downloads specified sectors from a Galil compressed backup (gcb) file to a controller.

## Detailed Description

Manage controller memory, such as program and arrays.

## Function Documentation

## ◆ GProgramDownload()

gclib.py.GProgramDownload | ( |  | self,
|  |  | program,
|  |  | preprocessor = "" )

Downloads a program to the controller's program buffer.

See the gclib docs for preprocessor options.

Definition at line 277 of file gclib.py.

## ◆ GProgramUpload()

gclib.py.GProgramUpload | ( |  | self | ) |

Uploads a program from the controller's program buffer.

Definition at line 289 of file gclib.py.

## ◆ GProgramDownloadFile()

gclib.py.GProgramDownloadFile | ( |  | self,
|  |  | file_path,
|  |  | preprocessor = "" )

Program download from file.

See the gclib docs for preprocessor options.

Definition at line 298 of file gclib.py.

## ◆ GProgramUploadFile()

gclib.py.GProgramUploadFile | ( |  | self,
|  |  | file_path )

Program upload to file.

Definition at line 309 of file gclib.py.

## ◆ GArrayDownload()

gclib.py.GArrayDownload | ( |  | self,
|  |  | name,
|  |  | first,
|  |  | last,
|  |  | array_data )

Downloads array data to a pre-dimensioned array in the controller's array table.

array_data should be a list of values (e.g. int or float)

Definition at line 318 of file gclib.py.

## ◆ GArrayUploadFile()

gclib.py.GArrayUploadFile | ( |  | self,
|  |  | file_path,
|  |  | names = [] )

Uploads the entire controller array table or a subset and saves the data as a csv file specified by file_path.

names is optional and should be a list of array names on the controller.

Definition at line 333 of file gclib.py.

## ◆ GArrayDownloadFile()

gclib.py.GArrayDownloadFile | ( |  | self,
|  |  | file_path )

Downloads a csv file containing array data at file_path.

Definition at line 350 of file gclib.py.

## ◆ GArrayUpload()

gclib.py.GArrayUpload | ( |  | self,
|  |  | name,
|  |  | first,
|  |  | last )

Uploads array data from the controller's array table.

Definition at line 360 of file gclib.py.

## ◆ GFirmwareDownload()

gclib.py.GFirmwareDownload | ( |  | self,
|  |  | file_path )

Upgrade firmware.

Definition at line 400 of file gclib.py.

## ◆ GSetupDownloadFile()

gclib.py.GSetupDownloadFile | ( |  | self,
|  |  | file_path,
|  |  | options )

Downloads specified sectors from a Galil compressed backup (gcb) file to a controller.

Returns a dictionary with the controller information stored in the gcb file. If options is specified as 0, an additional "options" key will be in the dictionary indicating the info sectors available in the gcb

Definition at line 437 of file gclib.py.